%define name	vsftpd
%define version	1.2.1
%define fname	%{name}-%{version}
%define	release	1mdk

Summary:	Very Secure File Transfer Protocol Daemon.
Name:		%name
Version:	%version
Release:	%release
License: 	GPL
Group: 		System/Servers
URL: 		http://vsftpd.beasts.org/
Source: 	ftp://vsftpd.beasts.org/users/cevans/%{fname}.tar.bz2
Source1:	vsftpd.xinetd
Source2:	vsftpd.pam
Source3:	vsftpd.ftpusers
Source4:	vsftpd.user_list
Patch1:		vsftpd-1.1.1-rh.patch.bz2
Patch2:		vsftpd-1.0.1-missingok.patch.bz2
Patch3:		vsftpd-1.2.0-anon.patch.bz2
Patch4:		vsftpd-1.2.0-pam-link.patch.bz2
BuildRoot:	%{_tmppath}/%{name}-root
PreReq:		/sbin/service
Requires: 	xinetd, /etc/pam.d/system-auth, logrotate
BuildRequires: 	/usr/bin/perl
Provides: 	ftpserver
Conflicts: 	wu-ftpd, proftpd, ncftpd, pure-ftpd

%description
A Very Secure FTP Daemon - written from scratch - by Chris "One Man Security
Audit Team" Evans.

%prep
%setup -q
%patch1 -p1 -b .orig
%patch2 -p1 -b .mok
%patch3 -p1 -b .anon
%patch4 -p1 -b .pam-link

%build
%serverbuild
# Change a few defaults in the source/config first:
perl -pi -e 's|/etc/vsftpd.banned_emails|/etc/vsftpd/banned-emails|g' tunables.c vsftpd.conf*
perl -pi -e 's|/etc/vsftpd.chroot_list|/etc/vsftpd/chroot-list|g' tunables.c vsftpd.conf*
perl -pi -e 's|/etc/vsftpd.user_list|/etc/vsftpd/user_list|g' tunables.c vsftpd.conf*
%make
# should go to rh patch.
# Change a few defaults in the config:
perl -pi -e 's|#ls_recurse_enable|ls_recurse_enable|' vsftpd.conf
## Fix the /usr/local problem in the xinetd entry
perl -pi -e 's|/usr/local/sbin/vsftpd|%{_sbindir}/vsftpd|' xinetd.d/vsftpd

%install
rm -rf %buildroot
mkdir -p %buildroot/var/ftp/pub
mkdir -p %buildroot/etc/vsftpd
touch %buildroot/etc/vsftpd/banned-emails
touch %buildroot/etc/vsftpd/chroot-list

mkdir -p %buildroot/{%_sbindir,%_mandir/man{5,8}}
mkdir -p %buildroot/{%_sysconfdir/{logrotate.d,pam.d,xinetd.d}}
install -m 755 vsftpd	%buildroot/%_sbindir/vsftpd
install -m 600 vsftpd.conf	%buildroot/etc/vsftpd.conf
install -m 644 xinetd.d/vsftpd %buildroot/etc/xinetd.d/vsftpd
install -m 644 vsftpd.conf.5 %buildroot/%_mandir/man5/
install -m 644 vsftpd.8 	%buildroot/%_mandir/man8/
install -m 644 RedHat/vsftpd.log %buildroot/etc/logrotate.d/vsftpd
install -m 644 %{SOURCE2} %buildroot/etc/pam.d/vsftpd
install -m 600 %{SOURCE3} %buildroot/etc/vsftpd/ftpusers
install -m 600 %{SOURCE4} %buildroot/etc/vsftpd/user_list

%post
if [ $1 = 1 ]; then
        /sbin/service xinetd reload > /dev/null 2>&1 || :
fi

%postun
if [ $1 = 0 ]; then
        /sbin/service xinetd reload > /dev/null 2>&1 || :
fi


%clean
rm -rf %buildroot

%files
%defattr(-, root, root)
%doc AUDIT BENCHMARKS BUGS Changelog INSTALL LICENSE README* REWARD
%doc SECURITY/ SIZE SPEED TODO TUNING
%{_sbindir}/vsftpd
%attr(0555,ftp,ftp) %dir /var/ftp
%attr(2555,ftp,ftp) %dir /var/ftp/pub
%attr(700,root,root) %dir /etc/vsftpd
%attr(600,root,root) %config(noreplace) /etc/vsftpd/*
%config(noreplace) /etc/vsftpd.conf
%config(noreplace) /etc/xinetd.d/vsftpd
%config(noreplace) /etc/pam.d/vsftpd
%config(noreplace) /etc/logrotate.d/vsftpd
%{_mandir}/*/*

%changelog
* Mon Nov 24 2003 Daouda LO <daouda@mandrakesoft.com> 1.2.1-1mdk
- release 1.2.1 (bug fixes)

* Wed Apr 23 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.2.0-2mdk
- Add more Conflicts: pure-ftpd ncftpd
- Patch4: Use normal link command for pam injection

* Tue Jan 14 2003 Damien Chaumette <dchaumette@mandrakesoft.com> 1.2.0-1mdk
- 1.2.0 version

* Tue Oct 15 2002 Damien Chaumette <dchaumette@mandrakesoft.com> 1.1.1-1mdk
- 1.1.1 version

* Sun May 26 2002 Yves Duret <yduret@mandrakesoft.com> 1.0.1-1mdk
- first mandrake version

